﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Trifork.SmartFraming.HL7.Api;

namespace Trifork.SmartFraming.HL7.TestClient
{
    class MyContextParticipant: IContextParticipant
    {
        private readonly IContextData _contextData;
        private readonly TextBox _textboxForOutput;

        public MyContextParticipant(IContextData contextData, TextBox textboxForOutput)
        {
            _contextData = contextData;
            _textboxForOutput = textboxForOutput;
        }

        public void ContextChangesAccepted(int coupon)
        {
            var itemNames = _contextData.GetItemNames(coupon);

            _textboxForOutput.AppendText("Available itemNames: \n");
            var itemValues = _contextData.GetItemValues(itemNames, coupon);
            for(int i = 0; i < itemValues.Length; i += 2)
            {
                _textboxForOutput.AppendText("Name: " + itemValues[i] + " Value: " + itemValues[i + 1] + "\n");
            }
        }
    }
}
